Name:           iucode-tool
Version:        2.3.1
Release:        %mkrel 4
Summary:        Manipulate microcode update collections for Intel system processors
License:        GPLv2
Url:            https://gitlab.com/iucode-tool
Group:          System/Kernel and hardware
Source:         https://gitlab.com/iucode-tool/releases/raw/latest/%{name}_%{version}.tar.xz
ExclusiveArch:  %{ix86} x86_64

%description
iucode-tool is a system administration tool to manipulate Intel X86 and
X86-64 processor microcode update collections.  It is tailored to help
Linux distros do Intel microcode update release management.

%prep
%setup -q


%build
%configure
%make_build

%install
%make_install

%files
%doc README
%{_sbindir}/iucode_tool
%{_mandir}/man8/iucode_tool.8*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.3.1-4.mga10
+ Revision: 2195567
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 2.3.1-3.mga9
+ Revision: 1792577
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.3.1-2.mga8
+ Revision: 1523952
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Mar 16 2019 zezinho <zezinho> 2.3.1-1.mga7
+ Revision: 1378090
- new version 2.3.1

* Sun Sep 23 2018 umeabot <umeabot> 2.1.1-3.mga7
+ Revision: 1298340
- Mageia 7 Mass Rebuild

* Sun Feb 05 2017 daviddavid <daviddavid> 2.1.1-2.mga6
+ Revision: 1084876
- do not build on arm (only for i686 and x86-64 system)

* Sun Feb 05 2017 zezinho <zezinho> 2.1.1-1.mga6
+ Revision: 1084853
- fix description
- imported package iucode-tool

